Skip to content

/api/v1/simulator/scenarios/{scenarioId} (PUT)

PUT
/api/v1/simulator/scenarios/{scenarioId}
curl --request PUT \
--url https://example.com/api/v1/simulator/scenarios/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "format": "Yaml", "definition": "example", "description": null }'
scenarioId
required
string format: uuid
object
name
required
string
format
required
string
Allowed values: Yaml Json
definition
required
string
description
string
nullable

OK

object
id
required
string format: uuid
name
required
string
description
required
string
nullable
scenarioName
required
string
requiredFeatures
required
Array<string>
version
required
integer format: int32
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
format
required
string
Allowed values: Yaml Json
definition
required
string

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable